import request from "@/scripts/httpRequest";
import qs from "qs";

// 查询产品中心列表
// param:type
export const queryProductList = (params: any) => {
    return request({
        url: "/data/api-u/users/saveAuth",
        method: "post",
        data: params
    });
};

// 激活
export const active = (params: any) => {
    return request({
        url: "",
        method: "post",
        data: params
    })
}

// 获取产品类型
export const getProductType = (query: any) => {
    return request({
        url: "/data/api-s/product/getProductType",
        method: "get",
        params: query
    });
};

// 获取基础产品列表
// param:type
export const getProductBaseList = (params: any) => {
    return request({
        url: "/data/api-s/product/getProductBaseList",
        method: "get",
        params: params
    });
};

// 获取标签字典
// param:type
export const findDicByType = () => {
    return request({
        url: "/saas/api-s/saasProduct/getProductType?scope=",
        method: "get",
    });
};

// 发布产品
export const saveProduct = (params: any) => {
    return request({
        url: "/data/api-s/product/saveProduct",
        method: "post",
        data: params
    })
}

/* 
    修改发布状态
    param:
        "page": 1,
        "publishStatus": 0,
        "size": 10
*/
export const findAllProduct = (params: any) => {
    return request({
        url: "/data/api-s/product/findAllProduct",
        method: "post",
        data: params
    })
}

/*
    获取产品中心的产品
    param:
    
*/
export const findAllCenterProduct = (params: any) => {
    return request({
        url: "/saas/api-s/saasProduct/findAllCenterProduct",
        method: "post",
        data: params
    })
}

/* 
    修改发布状态
    param:
        ids:[] 
        status: 0   -1是已下架 0是草稿，1是发布
*/
export const updateStatus = (params: any) => {
    return request({
        url: "/data/api-s/product/updateStatus",
        method: "post",
        data: params
    })
}

/* 
    批量删除产品
    param:
        ids:[]
*/
export const deleteProduct = (params: any) => {
    return request({
        url: "/data/api-s/product/delete",
        method: "post",
        data: params
    })
}

/* 
    根据productType获取已发布的产品列表
    param:
        productType: 1
*/
export const getReleaseProduct = (params: any) => {
    return request({
        url: "/saas/api-s/saasProduct/getAllProductMenu",
        method: "get",
        params: params
    })
}

//根据订单id查询订单详情
export const getOrderById = (id: string) => {
    return request({
        url: `/saas/api-s/saasOrder/show/${id}`,
        method: 'get'
    })
}

export const getSysPkgList = (params: any) => {
    return request({
        url: `/data/api-p/packages`,
        method: 'get',
        params: params
    })
}
export const getSysPakages = (params: any) => {
    return request({
        url: `/data/api-s/syspack/findByPage`,
        method: 'post',
        data: params
    })
}

export const getBasePakages = (params: any) => {
    return request({
        url: `/data/api-s/basepack/findByPage`,
        method: 'post',
        data: params
    })
}
export const deleteBasePakage = (params: any) => {
    return request({
        url: `/data/api-s/basepack/deleteById`,
        method: 'post',
        data: params
    })
}
export const deleteSysPakage = (params: any) => {
    return request({
        url: `/data/api-s/syspack/deleteById`,
        method: 'post',
        data: params
    })
}

export const uploadSysPkg = (params: any) => {
    return request({
        url: `/data/api-p/upload`,
        method: 'post',
        data: params
    })
}

export const delSysPkg = (params: any) => {
    return request({
        url: `/data/api-p/del_package`,
        method: 'get',
        params: params
    })
}

export const downloadSysPkg = (params: any) => {
    return request({
        url: `/data/api-p/download`,
        method: 'get',
        params: params,
        headers: {
            'Content-Type': 'application/json; application/octet-stream'
        },
        responseType: 'blob'
    })
}
export const saveSysPkg = (params: any) => {
    return request({
        url: `/data/api-p/restore_package`,
        method: 'get',
        params: params
    })
}
export const getTryVerSet = (params: any) => {
    return request({
        url: `/data/api-s/trial/latest`,
        method: 'get',
        params: params
    })
}

export const updateTryVerSet = (params: any) => {
    return request({
        url: `/data/api-s/trial/add`,
        method: 'post',
        data: params
    })
}


export const getAuthList = (params: any) => {
    return request({
        url: `/data/api-d/device/authorizeList`,
        method: 'post',
        data: params
    })
}

export const getOrderProductByQrcode = (params: any) => {
    return request({
        url: `/data/api-s/getOrderProductByQrcode`,
        method: 'post',
        data: qs.stringify(params)
    })
}

export const getAuthorization = (params: any) => {
    return request({
        url: `/data/api-s/authorization`,
        method: 'get',
        params: params
    })
}

export const getAutAfterPay = (params: any) => {
    return request({
        url: `/data/api-s/q_authorization`,
        method: 'post',
        data: params
    })
}

export const getBasePrice = (params: any) => {
    return request({
        url: `/data/api-s/product/getSnProduct`,
        method: 'get',
        params: params
    })
}

//获取轮播图
export const getIndexPics = () => {
    return request({
        url: `/cloud/api-i/saasIndex/getIndexPics`,
        method: 'get',
    })
}

//获取产品详情
export const selectProductById = (data: any) => {
    return request({
        url: `/saas/api-s/saasProduct/selectProductById`,
        method: 'post',
        data,
    })
}

//获取推荐算法
export const getIndexModelRecommend = (data: any) => {
    return request({
        url: `/cloud/api-i/saasIndex/getIndexModelRecommend`,
        method: 'post',
        data,
    })
}

//获取首页模块
export const getModelList = () => {
    return request({
        url: `/cloud/api-i/saasIndex/getModelList`,
        method: 'get',
    })
}

//试用中心
export const getFreeList = () => {
    return request({
        url: `/saas/api-s/saasProduct/getFreeList`,
        method: 'post',
    })
}

//根据id查询产品
export const getProductById = (data: any) => {
    return request({
        url: `/saas/api-s/saasProduct/getProductById`,
        method: 'post',
        data
    })
}

